/*
 * Door.h
 *
 *  Created on: 8. mars 2011
 *      Author: sliding
 */

#ifndef DOOR_H_
#define DOOR_H_

#include "RelayController.h"
using namespace std;

class Door
{
public:

	enum DoorStatus {DOOR_OPEN, DOOR_CLOSED, DOOR_STOPPED};

	Door();
	virtual ~Door();

	void openDoor();
	void closeDoor();
	void stopDoor();

	bool isOpen() const;
	bool isClosed() const;
	bool isStopped() const;

private:
	DoorStatus door_status;
	RelayController *rc;
};

#endif /* DOOR_H_ */
