/*
 * RelayController.h
 *
 *  Created on: 9. mars 2011
 *      Author: sliding
 */

#ifndef RELAYCONTROLLER_H_
#define RELAYCONTROLLER_H_

#include "SerialPort.h"
#include <string>

class RelayController
{
public:
	RelayController();
	RelayController(string portname);
	virtual ~RelayController();
	void turnOnRelay(int relaynumber);
	void turnOffRelay(int relaynumber);
	void turnOnAllRelays();
	void turnOffAllRelays();
	int getRelayStatus(int relaynumber);
	string toString();
private:
	SerialPort *serialport;
};

#endif /* RELAYCONTROLLER_H_ */
