/*
 * SerialPort.h
 *
 *  Created on: 9. mars 2011
 *      Author: sliding
 */

#ifndef SERIALPORT_H_
#define SERIALPORT_H_

#include <string>
#include <termios.h>
using namespace std;

class SerialPort
{
public:
	SerialPort(string devicename);
	virtual ~SerialPort();
	int open_port();
	void close_port();
	int port_read(char * buffer, bool nodelay);
	int port_write(const char* character);
	bool isOpen() const;
	string toString();
private:
	void configure_port();
	string devicename;
	int filedescriptor;
};

#endif /* SERIALPORT_H_ */
